<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Modules\Lpj\Models\Teams;
use Modules\Lpj\Models\Users;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('teams_users', function (Blueprint $table) {
            $table->id();
            $table->foreignIdFor(Teams::class)->constrained()->onDelete('cascade');
            $table->unsignedBigInteger('user_id');
            $table->boolean('status')->default(true)->nullable();
            $table->char('authorized_status', 1)->nullable();
            $table->timestamps();
            $table->timestamp('authorized_at')->nullable();
            $table->unsignedBigInteger('authorized_by')->nullable();
            $table->softDeletes();
            $table->unsignedBigInteger('created_by')->nullable();
            $table->unsignedBigInteger('updated_by')->nullable();
            $table->unsignedBigInteger('deleted_by')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('teams_users');
    }
};
